Bug 241176 - logrotate file does not trigger daemon reload
logrotate file does not trigger daemon reload
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freeradius (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 07:11 EDT by Martin Poole
Modified: 2013-04-12 15:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 06:51:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2007-05-24 07:11:49 EDT
Description of problem:

the logrotate file does not specifiy any post action to ensure the daemon starts
a new log file.

Version-Release number of selected component (if applicable):

freeradius-1.1.3-1.1.el5

How reproducible:

always.

Steps to Reproduce:
1. start freeradius
2. run logrotate
3.
  
Actual results:

rotated file continues to be used.

Expected results:

daemon starts new log file

Additional info:

/etc/logrotate.d/radiusd probably needs something like

    postrotate
        /etc/init.d/radiusd reload 2> /dev/null || true
    endscript
Comment 3 Thomas Woerner 2007-07-19 06:20:58 EDT
Which log files are affected by this for you?
Adding this to each section could end in several reloads at the same time.
Comment 4 Martin Poole 2007-07-19 10:34:09 EDT
It applies to every file that would be held open by the application during a
logrotate.
Comment 5 Red Hat Bugzilla 2007-09-17 01:16:57 EDT
transferred from Thomas Woerner to John Dennis, requested by Steve Grubb.
Comment 6 RHEL Product and Program Management 2007-12-03 15:42:59 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 7 Martin Poole 2008-01-23 06:51:33 EST
OK, I've gone through the current RHEL5 sources examining how the daemon handles
log files specifically when the daemon is requested to reload.

The conclusion is a little surprising, it would appear that the radius daemon
does not behave like a typical daemon in that it _never_ holds log files open.
They are opened and closed for each entry written. As a consequence there is no
need to trigger a reload on logrotate as the files are not in continuous use.

This makes this BZ redundant as the requested functionality is not needed. I am
closing as NOTABUG. 

Note You need to log in before you can comment on or make changes to this bug.